Updates the account profile and starts email verification when required.

PUThttps://api.awork.com/api/v1/accounts/{accountId}
PUT https://api.awork.com/api/v1/accounts/{accountId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

accountIdstringRequired
format: uuid

The accountId value.

Query parameters

skipEmailVerificationbooleanOptional
Default: false

The skipEmailVerification value.

sendAdminInitiatedVerificationEmailbooleanOptional
Default: false

The sendAdminInitiatedVerificationEmail value.

Request body Required

The model value.

application/json

emailstring or nullOptional
format: email

The email of the account.

firstNamestring or nullOptional

The first name of the account.

lastNamestring or nullOptional

The last name of the account.

languagestring or nullOptional

The language of the account, as a Language Culture Name (de-DE).

timezonestring or nullOptional

The timezone of the account. The format of the timezone is the IANA standard.

mfaEnabledbooleanOptional

Whether MFA is enabled for the account.

Responses

200 OK

application/json

emailstring or nullOptional
format: email

The email of the account.

firstNamestring or nullOptional

The first name of the account.

lastNamestring or nullOptional

The last name of the account.

languagestring or nullOptional

The language of the account, as a Language Culture Name (de-DE).

timezonestring or nullOptional

The timezone of the account. The format of the timezone is the IANA standard.

mfaEnabledbooleanOptional

Whether MFA is enabled for the account.

idstringOptional
format: uuid

The id of the account.

passwordIsAutoGeneratedbooleanOptional

Whether the password is generated by awork.

emailConfirmedbooleanOptional

Whether the email has been confirmed by the user.

externalAccountsarray of object or nullOptional

The list of connected social providers.

Show 2 properties
providerstring or nullOptional

The name of the external provider.

externalUserIdstring or nullOptional

The id of the user for the external account.

mfaProvidersarray of string or nullOptional

The enabled MFA providers for the account. Currently we support "Email" and "Authenticator".

passwordlessEnabledbooleanOptional

Whether the account has passwordless login enabled.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation